import React from 'react'
import ReactDOM from 'react-dom'

const Header = (props) => (
    <div>
        <h1>{props.course}</h1>
    </div>
)

const Contents = (props) => (
    <div>
        <Part part={props.parts[0].name} exercise={props.parts[0].exercises}/>
        <Part part={props.parts[1].name} exercise={props.parts[1].exercises}/>
        <Part part={props.parts[2].name} exercise={props.parts[2].exercises}/>
    </div>
)

const Part = (props) => (
    <div>
        <p>{props.part} {props.exercise}</p>
    </div>
)

const Total = (props) => {
    return (
    <div>
        <p>Total {props.parts[0].exercises + props.parts[1].exercises
             + props.parts[2].exercises} exercises</p>
    </div>
    )
}

const App = () => {
    const course = {
        name: 'Superadvanced web and mobile programming',
        parts: [
          {
            name: 'Basics of React',
            exercises: 8
          },
          {
            name: 'Using props',
            exercises: 10
          },
          {
            name: 'Component states',
            exercises: 12
          }
        ]
      }

  return (
    <div>
      <Header course={course.name} />

      <Contents parts={course.parts}/>

      <Total parts={course.parts}/>
    </div>
  )
}

ReactDOM.render(
  <App />,
  document.getElementById('root')
)